<div class="col-auto col-md-3 col-xl-12 px-sm-2 px-0 barra-admin" style="height:
    100%;">
    <div class="d-flex flex-column align-items-center px-3
        pt-2 text-white ">
        <div *ngIf="valImagen">


            <img src="{{valImagen}}" class="img-fluid img-thumbnail
                rounded-circle" alt="{{valNombre}}" style="height: 110px;width:
                110px; object-fit: cover;" (error)="cargarImagenError()">
        </div>
        <div *ngIf="!valImagen">


            <img src="../../../../assets/usuario.jpg" class="img-fluid
                img-thumbnail
                rounded-circle" alt="Usuario" style="height: 110px;width:
                110px; object-fit: cover;" >
        </div>

        <br>
        <div class="dropdown pb-4">
            <a href="#" class="d-flex align-items-center text-white
                text-decoration-none dropdown-toggle" id="dropdownUser1"
                data-bs-toggle="dropdown" aria-expanded="false">

                <span class="d-sm-inline mx-1">{{ getNombreRecortado(valNombre) }}</span>
            </a>
            <ul class="dropdown-menu dropdown-menu-dark text-small shadow">
                <li><a class="dropdown-item" routerLink="/perfil"
                        data-bs-dismiss="offcanvas">Perfil de
                        Usuario</a></li>

                <li><a class="dropdown-item" (click)="cerrarSesion()"
                        data-bs-dismiss="offcanvas">Cerrar
                        Sesión</a></li>
            </ul>
        </div>
        <app-separador></app-separador>
        <app-menu></app-menu>


    </div>
</div>